Commit d9956c62 authored by Elvis Angelaccio's avatar Elvis Angelaccio

Drop obsolete version check

We require Qt 5.14 now.
parent de693361
......@@ -21,13 +21,8 @@ KItemListSmoothScroller::KItemListSmoothScroller(QScrollBar* scrollBar,
m_animation(nullptr)
{
m_animation = new QPropertyAnimation(this);
#if QT_VERSION >= QT_VERSION_CHECK(5, 10, 0)
const int animationDuration = m_scrollBar->style()->styleHint(QStyle::SH_Widget_Animation_Duration, nullptr, m_scrollBar);
const bool animationEnabled = (animationDuration > 0);
#else
const int animationDuration = 100;
const bool animationEnabled = m_scrollBar->style()->styleHint(QStyle::SH_Widget_Animate, nullptr, m_scrollBar);
#endif
m_animation->setDuration(animationEnabled ? animationDuration : 1);
connect(m_animation, &QPropertyAnimation::stateChanged,
this, &KItemListSmoothScroller::slotAnimationStateChanged);
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment